diff --git a/lib/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart b/lib/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart
index 2c378d4..5e59518 100644
--- a/lib/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart
+++ b/lib/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart
@@ -34,6 +34,7 @@ class LaporanPenyaluranController extends GetxController {
   final RxMap<String, dynamic> lokasiPenyaluran = RxMap<String, dynamic>();
   final RxMap<String, dynamic> desaData = RxMap<String, dynamic>();
   final RxMap<String, dynamic> kategoriBantuan = RxMap<String, dynamic>();
+  final RxMap<String, dynamic> petugasData = RxMap<String, dynamic>();
 
   // Form controllers
   final TextEditingController judulController = TextEditingController();
@@ -53,8 +54,8 @@ class LaporanPenyaluranController extends GetxController {
   final RxString filterStatus = 'SEMUA'.obs;
 
   // Getter untuk data user
-  get user => _authController.user;
-  String get role => user?.role ?? 'WARGA';
+  dynamic get user => _authController.baseUser;
+  String get role => _authController.role;
 
   @override
   void onInit() {
@@ -168,6 +169,8 @@ class LaporanPenyaluranController extends GetxController {
           .single();
 
       selectedPenyaluran.value = PenyaluranBantuanModel.fromJson(response);
+      print(
+          'PenyaluranDetail - petugasId: ${selectedPenyaluran.value?.petugasId}');
 
       // Ambil data penerima terkait
       await fetchPenerimaPenyaluran(penyaluranId);
@@ -178,6 +181,11 @@ class LaporanPenyaluranController extends GetxController {
             selectedPenyaluran.value!.lokasiPenyaluranId!);
       }
 
+      // Ambil data petugas jika ada
+      if (selectedPenyaluran.value?.petugasId != null) {
+        await fetchPetugasData(selectedPenyaluran.value!.petugasId!);
+      }
+
       // Hitung penggunaan stok bantuan
       await calculateStokBantuanUsage(penyaluranId);
     } catch (e) {
@@ -251,6 +259,22 @@ class LaporanPenyaluranController extends GetxController {
     }
   }
 
+  // Mendapatkan data petugas
+  Future<void> fetchPetugasData(String petugasId) async {
+    try {
+      final response = await _supabaseService.client
+          .from('petugas_desa')
+          .select('*, desa(nama)')
+          .eq('id', petugasId)
+          .single();
+
+      petugasData.value = response;
+      print('Data petugas berhasil diambil: $petugasData');
+    } catch (e) {
+      print('Error fetching petugas data: $e');
+    }
+  }
+
   // Menghitung penggunaan stok bantuan
   Future<void> calculateStokBantuanUsage(String penyaluranId) async {
     try {
@@ -563,7 +587,8 @@ class LaporanPenyaluranController extends GetxController {
       // Load logo - tidak perlu menampilkan error jika logo tidak ada
       pw.MemoryImage? logoImage;
       try {
-        final logoBytes = await rootBundle.load('assets/img/logo.png');
+        final logoBytes =
+            await rootBundle.load('assets/images/penyaluran-icon.png');
         logoImage = pw.MemoryImage(logoBytes.buffer.asUint8List());
       } catch (e) {
         // Logo tidak ditemukan - tidak perlu print error
@@ -600,7 +625,7 @@ class LaporanPenyaluranController extends GetxController {
                   children: [
                     logoImage != null
                         ? pw.Image(logoImage, width: 60, height: 60)
-                        : pw.SizedBox(width: 60),
+                        : pw.SizedBox(width: 10, height: 10),
                     pw.Column(
                       crossAxisAlignment: pw.CrossAxisAlignment.end,
                       children: [
@@ -924,10 +949,7 @@ class LaporanPenyaluranController extends GetxController {
                                 isHeader: true,
                                 align: pw.TextAlign.center,
                                 color: PdfColors.blue900),
-                            _buildPdfTableCell('Satuan', ttfBold,
-                                isHeader: true,
-                                align: pw.TextAlign.center,
-                                color: PdfColors.blue900),
+
                             _buildPdfTableCell('Status', ttfBold,
                                 isHeader: true,
                                 align: pw.TextAlign.center,
@@ -947,13 +969,19 @@ class LaporanPenyaluranController extends GetxController {
                               ? '${penerima.jumlahBantuan} ${penerima.satuan ?? ''}'
                               : '-';
 
+                          final isUang =
+                              penerima.satuan?.toLowerCase() == 'rupiah';
+                          final jumlahBantuan = penerima.jumlahBantuan ?? 0;
+
+                          final formattedJumlah = isUang
+                              ? 'Rp ${NumberFormat.currency(locale: 'id', symbol: '', decimalDigits: 0).format(jumlahBantuan)}'
+                              : '$jumlahBantuan ${penerima.satuan ?? ''}';
+
                           return pw.TableRow(
                             children: [
                               _buildPdfTableCell(nik, ttf),
                               _buildPdfTableCell(wargaNama, ttf),
-                              _buildPdfTableCell(jumlah, ttf,
-                                  align: pw.TextAlign.center),
-                              _buildPdfTableCell(penerima.satuan ?? '-', ttf,
+                              _buildPdfTableCell(formattedJumlah, ttf,
                                   align: pw.TextAlign.center),
                               _buildPdfTableCell(
                                   penerima.statusPenerimaan ?? '-', ttf,
@@ -1005,12 +1033,17 @@ class LaporanPenyaluranController extends GetxController {
                           'Dokumentasi dapat diakses melalui tautan berikut:',
                           style: pw.TextStyle(font: ttf)),
                       pw.SizedBox(height: 3),
-                      pw.Text(laporan.dokumentasiUrl!,
+                      pw.UrlLink(
+                        destination: laporan.dokumentasiUrl!,
+                        child: pw.Text(
+                          laporan.dokumentasiUrl!,
                           style: pw.TextStyle(
                             font: ttf,
                             color: PdfColors.blue,
                             decoration: pw.TextDecoration.underline,
-                          )),
+                          ),
+                        ),
+                      ),
                       if (laporan.beritaAcaraUrl != null)
                         pw.SizedBox(height: 10),
                     ],
@@ -1024,12 +1057,17 @@ class LaporanPenyaluranController extends GetxController {
                           'Berita acara dapat diakses melalui tautan berikut:',
                           style: pw.TextStyle(font: ttf)),
                       pw.SizedBox(height: 3),
-                      pw.Text(laporan.beritaAcaraUrl!,
+                      pw.UrlLink(
+                        destination: laporan.beritaAcaraUrl!,
+                        child: pw.Text(
+                          laporan.beritaAcaraUrl!,
                           style: pw.TextStyle(
                             font: ttf,
                             color: PdfColors.blue,
                             decoration: pw.TextDecoration.underline,
-                          )),
+                          ),
+                        ),
+                      ),
                     ],
                   ],
                   ttfBold,
@@ -1046,7 +1084,9 @@ class LaporanPenyaluranController extends GetxController {
                     crossAxisAlignment: pw.CrossAxisAlignment.center,
                     children: [
                       pw.Text(
-                        'Penanggung Jawab,',
+                        petugasData.isNotEmpty
+                            ? 'Petugas ${petugasData['desa'] != null ? "Desa " + (petugasData['desa']['nama'] ?? '') : ''}'
+                            : 'Penanggung Jawab,',
                         style: pw.TextStyle(font: ttf),
                       ),
                       pw.SizedBox(height: 50), // Ruang untuk tanda tangan
@@ -1057,12 +1097,23 @@ class LaporanPenyaluranController extends GetxController {
                                 top: pw.BorderSide(color: PdfColors.black))),
                         padding: const pw.EdgeInsets.only(top: 5),
                         child: pw.Text(
-                          // Sesuaikan dengan properti yang ada di model user
-                          user?.email ?? 'Admin Sistem',
+                          // Gunakan data petugas dari penyaluran, jika tidak ada gunakan data user
+                          petugasData.isNotEmpty
+                              ? petugasData['nama_lengkap'] ?? 'Petugas Desa'
+                              : user?.nama ?? 'Admin Sistem',
                           style: pw.TextStyle(font: ttfBold),
                           textAlign: pw.TextAlign.center,
                         ),
                       ),
+
+                      // NIP atau nomor identitas petugas
+                      pw.Text(
+                        petugasData.isNotEmpty
+                            ? petugasData['nip'] ?? '-'
+                            : user?.nip ?? '-',
+                        style: pw.TextStyle(font: ttf),
+                        textAlign: pw.TextAlign.center,
+                      ),
                     ],
                   ),
                 ],
diff --git a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
index fdfbe7e..bd6b1b4 100644
--- a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
+++ b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
@@ -2,6 +2,7 @@ import 'package:flutter/material.dart';
 import 'package:get/get.dart';
 import 'package:penyaluran_app/app/modules/laporan_penyaluran/controllers/laporan_penyaluran_controller.dart';
 import 'package:penyaluran_app/app/theme/app_theme.dart';
+import 'package:penyaluran_app/app/utils/date_time_helper.dart';
 import 'package:penyaluran_app/app/widgets/custom_app_bar.dart';
 import 'package:penyaluran_app/app/widgets/section_header.dart';
 import 'package:penyaluran_app/app/widgets/status_badge.dart';
@@ -185,15 +186,15 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                         _buildInfoRow(
                           'Tanggal Penyaluran',
                           penyaluran.tanggalPenyaluran != null
-                              ? DateFormat('dd/MM/yyyy')
-                                  .format(penyaluran.tanggalPenyaluran!)
+                              ? DateTimeHelper.formatDateTime(
+                                  penyaluran.tanggalPenyaluran!)
                               : '-',
                         ),
                         _buildInfoRow(
                           'Tanggal Selesai',
                           penyaluran.tanggalSelesai != null
-                              ? DateFormat('dd/MM/yyyy')
-                                  .format(penyaluran.tanggalSelesai!)
+                              ? DateTimeHelper.formatDateTime(
+                                  penyaluran.tanggalSelesai!)
                               : '-',
                         ),
                         _buildInfoRow('Jumlah Penerima',
@@ -525,7 +526,7 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                                   Expanded(
                                     flex: 3,
                                     child: Text(
-                                      'Nama Penerima',
+                                      'NIK',
                                       style: TextStyle(
                                           fontWeight: FontWeight.bold),
                                     ),
@@ -533,7 +534,7 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                                   Expanded(
                                     flex: 3,
                                     child: Text(
-                                      'Jenis Bantuan',
+                                      'Nama Penerima',
                                       style: TextStyle(
                                           fontWeight: FontWeight.bold),
                                     ),
@@ -568,12 +569,13 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                               itemBuilder: (context, index) {
                                 final penerima =
                                     controller.daftarPenerima[index];
+                                final wargaNik = penerima.warga != null
+                                    ? penerima.warga!['nik'] ?? '-'
+                                    : '-';
                                 final wargaNama = penerima.warga != null
                                     ? penerima.warga!['nama_lengkap'] ?? '-'
                                     : '-';
-                                final stokNama = penerima.stokBantuan != null
-                                    ? penerima.stokBantuan!['nama'] ?? '-'
-                                    : '-';
+
                                 final jumlah = penerima.jumlahBantuan != null
                                     ? '${penerima.jumlahBantuan} ${penerima.satuan ?? ''}'
                                     : '-';
@@ -591,11 +593,11 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                                     children: [
                                       Expanded(
                                         flex: 3,
-                                        child: Text(wargaNama),
+                                        child: Text(wargaNik),
                                       ),
                                       Expanded(
                                         flex: 3,
-                                        child: Text(stokNama),
+                                        child: Text(wargaNama),
                                       ),
                                       Expanded(
                                         flex: 2,
@@ -867,9 +869,7 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
               ),
               const SizedBox(height: 6),
               Text(
-                tanggalLaporan != null
-                    ? DateFormat('dd/MM/yyyy').format(tanggalLaporan)
-                    : '-',
+                DateTimeHelper.formatDateTime(tanggalLaporan),
                 style: const TextStyle(
                   fontSize: 14,
                   fontWeight: FontWeight.bold,
diff --git a/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
index de1136e..26e9b34 100644
--- a/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
@@ -54,12 +54,12 @@ class DetailPenyaluranController extends GetxController {
       final user = _supabaseService.client.auth.currentUser;
       if (user != null) {
         final userData = await _supabaseService.client
-            .from('users')
+            .from('user_profile')
             .select('role')
             .eq('id', user.id)
             .single();
 
-        if (userData['role'] == 'petugas_desa') {
+        if (userData['role'] == 'PETUGASDESA') {
           isPetugasDesa.value = true;
         }
       }
diff --git a/lib/app/modules/petugas_desa/controllers/donatur_controller.dart b/lib/app/modules/petugas_desa/controllers/donatur_controller.dart
index 6fa1327..678a3db 100644
--- a/lib/app/modules/petugas_desa/controllers/donatur_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/donatur_controller.dart
@@ -275,7 +275,7 @@ class DonaturController extends GetxController {
 
     try {
       final donatur = daftarDonatur.firstWhere((d) => d.id == donaturId);
-      return donatur.nama;
+      return donatur.namaLengkap;
     } catch (e) {
       return null;
     }
diff --git a/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
index 5f11f5b..95a4d6d 100644
--- a/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart
@@ -47,7 +47,7 @@ class JadwalPenyaluranController extends GetxController {
   // Controller untuk pencarian
   final TextEditingController searchController = TextEditingController();
 
-  UserModel? get user => _authController.user;
+  BaseUserModel? get user => _authController.baseUser;
 
   @override
   void onInit() {
diff --git a/lib/app/modules/petugas_desa/controllers/penerima_bantuan_controller.dart b/lib/app/modules/petugas_desa/controllers/penerima_bantuan_controller.dart
index d3feeb6..eae4b11 100644
--- a/lib/app/modules/petugas_desa/controllers/penerima_bantuan_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/penerima_bantuan_controller.dart
@@ -32,7 +32,7 @@ class PenerimaBantuanController extends GetxController {
   // Form key
   final GlobalKey<FormState> penerimaFormKey = GlobalKey<FormState>();
 
-  UserModel? get user => _authController.user;
+  BaseUserModel? get user => _authController.baseUser;
 
   @override
   void onInit() {
@@ -79,19 +79,21 @@ class PenerimaBantuanController extends GetxController {
 
     isLoading.value = true;
     try {
-      final penerima = WargaModel(
-        nama: namaController.text,
-        nik: nikController.text,
-        alamat: alamatController.text,
-        telepon: teleponController.text,
-        email: emailController.text,
-        catatan: catatanController.text,
-        status: 'AKTIF',
-        createdAt: DateTime.now(),
-        updatedAt: DateTime.now(),
-      );
+      // Biarkan Supabase yang akan menghasilkan ID saat insert
+      // Kita hanya perlu menyediakan data lainnya
+      final penerima = {
+        'nama_lengkap': namaController.text,
+        'nik': nikController.text,
+        'alamat': alamatController.text,
+        'no_hp': teleponController.text,
+        'email': emailController.text,
+        'catatan': catatanController.text,
+        'status': 'AKTIF',
+        'created_at': DateTime.now().toIso8601String(),
+        'updated_at': DateTime.now().toIso8601String(),
+      };
 
-      await _supabaseService.tambahPenerima(penerima.toJson());
+      await _supabaseService.tambahPenerima(penerima);
 
       // Clear form
       clearForm();
@@ -125,18 +127,17 @@ class PenerimaBantuanController extends GetxController {
 
     isLoading.value = true;
     try {
-      final penerima = WargaModel(
-        id: penerimaId,
-        nama: namaController.text,
-        nik: nikController.text,
-        alamat: alamatController.text,
-        telepon: teleponController.text,
-        email: emailController.text,
-        catatan: catatanController.text,
-        updatedAt: DateTime.now(),
-      );
+      final penerima = {
+        'nama_lengkap': namaController.text,
+        'nik': nikController.text,
+        'alamat': alamatController.text,
+        'no_hp': teleponController.text,
+        'email': emailController.text,
+        'catatan': catatanController.text,
+        'updated_at': DateTime.now().toIso8601String(),
+      };
 
-      await _supabaseService.updatePenerima(penerimaId, penerima.toJson());
+      await _supabaseService.updatePenerima(penerimaId, penerima);
 
       // Clear form
       clearForm();
@@ -218,10 +219,10 @@ class PenerimaBantuanController extends GetxController {
   }
 
   void setFormData(WargaModel penerima) {
-    namaController.text = penerima.nama ?? '';
+    namaController.text = penerima.namaLengkap ?? '';
     nikController.text = penerima.nik ?? '';
     alamatController.text = penerima.alamat ?? '';
-    teleponController.text = penerima.telepon ?? '';
+    teleponController.text = penerima.noHp ?? '';
     emailController.text = penerima.email ?? '';
     catatanController.text = penerima.catatan ?? '';
   }
diff --git a/lib/app/modules/petugas_desa/controllers/pengaduan_controller.dart b/lib/app/modules/petugas_desa/controllers/pengaduan_controller.dart
index 4a94fc5..ca45d09 100644
--- a/lib/app/modules/petugas_desa/controllers/pengaduan_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/pengaduan_controller.dart
@@ -37,7 +37,7 @@ class PengaduanController extends GetxController {
   // Image picker
   final ImagePicker _imagePicker = ImagePicker();
 
-  UserModel? get user => _authController.user;
+  BaseUserModel? get user => _authController.baseUser;
 
   @override
   void onInit() {
diff --git a/lib/app/modules/petugas_desa/controllers/penitipan_bantuan_controller.dart b/lib/app/modules/petugas_desa/controllers/penitipan_bantuan_controller.dart
index 113a847..ebc21f7 100644
--- a/lib/app/modules/petugas_desa/controllers/penitipan_bantuan_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/penitipan_bantuan_controller.dart
@@ -53,7 +53,7 @@ class PenitipanBantuanController extends GetxController {
   // Tambahkan properti untuk waktu terakhir update
   final Rx<DateTime> lastUpdateTime = DateTime.now().obs;
 
-  UserModel? get user => _authController.user;
+  BaseUserModel? get user => _authController.baseUser;
 
   // Getter untuk counter dari CounterService
   RxInt get jumlahMenunggu => _counterService.jumlahMenunggu;
@@ -72,10 +72,9 @@ class PenitipanBantuanController extends GetxController {
 
     loadPenitipanData();
     loadKategoriBantuanData();
-    // Tambahkan delay untuk memastikan data petugas desa dimuat setelah penitipan
-    Future.delayed(const Duration(seconds: 1), () {
-      loadAllPetugasDesaData();
-    });
+
+    // Hapus delay dan muat data petugas desa langsung
+    loadAllPetugasDesaData();
 
     // Listener untuk pencarian donatur
     donaturSearchController.addListener(() {
@@ -123,25 +122,24 @@ class PenitipanBantuanController extends GetxController {
         // Muat informasi petugas desa untuk item yang terverifikasi
         print(
             'Memuat informasi petugas desa untuk ${daftarPenitipan.length} penitipan');
+
+        List<Future> petugasLoaders = [];
+
         for (var item in daftarPenitipan) {
           if (item.status == 'TERVERIFIKASI' && item.petugasDesaId != null) {
             print(
                 'Memuat informasi petugas desa untuk penitipan ID: ${item.id}, petugasDesaId: ${item.petugasDesaId}');
-            final petugasData = await getPetugasDesaInfo(item.petugasDesaId);
-            if (petugasData != null) {
-              print(
-                  'Berhasil memuat data petugas desa: ${petugasData['name']} untuk ID: ${item.petugasDesaId}');
-            } else {
-              print(
-                  'Gagal memuat data petugas desa untuk ID: ${item.petugasDesaId}');
-            }
+            petugasLoaders.add(getPetugasDesaInfo(item.petugasDesaId));
           }
         }
 
+        // Tunggu semua data petugas desa selesai dimuat
+        await Future.wait(petugasLoaders);
+
         // Debug: print semua data petugas desa yang sudah dimuat
         print('Data petugas desa yang sudah dimuat:');
         petugasDesaCache.forEach((key, value) {
-          print('ID: $key, Nama: $value');
+          print('ID: $key, Nama: ${value['nama_lengkap']}');
         });
 
         // Update waktu terakhir refresh
@@ -490,7 +488,8 @@ class PenitipanBantuanController extends GetxController {
         final donaturId = item.donaturId;
         String donaturNama = '';
         if (donaturId != null && donaturCache.containsKey(donaturId)) {
-          donaturNama = donaturCache[donaturId]?.nama?.toLowerCase() ?? '';
+          donaturNama =
+              donaturCache[donaturId]?.namaLengkap?.toLowerCase() ?? '';
         }
         final donaturMatch = donaturNama.contains(searchText);
 
@@ -551,25 +550,37 @@ class PenitipanBantuanController extends GetxController {
     if (!petugasDesaCache.containsKey(petugasDesaId)) {
       print(
           'Data petugas desa tidak ditemukan di cache untuk ID: $petugasDesaId');
-      // Jadwalkan pengambilan data untuk nanti
+      // Muat data petugas dan perbarui UI
       loadPetugasDesaData(petugasDesaId);
-      return 'Memuat...';
+
+      // Coba cek lagi setelah pemuatan
+      if (petugasDesaCache.containsKey(petugasDesaId)) {
+        // Akses nama dari struktur data petugas_desa
+        final nama = petugasDesaCache[petugasDesaId]?['nama_lengkap'];
+        return nama ?? 'Tidak diketahui';
+      }
+
+      return 'Memuat data...';
     }
 
     // Sekarang data seharusnya ada di cache
-    final nama = petugasDesaCache[petugasDesaId]?['name'];
+    // Akses nama dari struktur data petugas_desa
+    final nama = petugasDesaCache[petugasDesaId]?['nama_lengkap'];
     print('Nama petugas desa: $nama untuk ID: $petugasDesaId');
     return nama ?? 'Tidak diketahui';
   }
 
   // Fungsi untuk memuat data petugas desa dan memperbarui UI
-  void loadPetugasDesaData(String petugasDesaId) async {
+  Future<void> loadPetugasDesaData(String petugasDesaId) async {
     try {
+      print('Memuat data petugas desa untuk ID: $petugasDesaId');
       final petugasData = await getPetugasDesaInfo(petugasDesaId);
       if (petugasData != null) {
         // Data sudah dimasukkan ke cache oleh getPetugasDesaInfo
-        // Refresh UI
-        update();
+        print('Berhasil memuat data petugas: ${petugasData['nama_lengkap']}');
+
+        // Refresh UI segera
+        update(['petugas_data']);
       } else {
         print(
             'Gagal mengambil data petugas desa dari server untuk ID: $petugasDesaId');
@@ -597,7 +608,7 @@ class PenitipanBantuanController extends GetxController {
       // Debug: print semua data petugas desa yang sudah dimuat
       print('Data petugas desa yang sudah dimuat setelah reload:');
       petugasDesaCache.forEach((key, value) {
-        print('ID: $key, Nama: $value');
+        print('ID: $key, Nama: ${value['nama_lengkap']}');
       });
     } catch (e) {
       print('Error saat memuat ulang data petugas desa: $e');
@@ -643,15 +654,15 @@ class PenitipanBantuanController extends GetxController {
 
   Future<String?> tambahDonatur({
     required String nama,
-    required String telepon,
+    required String noHp,
     String? alamat,
     String? email,
     String? jenis,
   }) async {
     try {
       final donaturData = {
-        'nama': nama,
-        'telepon': telepon,
+        'nama_lengkap': nama,
+        'no_hp': noHp,
         'alamat': alamat,
         'email': email,
         'jenis': jenis,
